POST Register new user account
Create a new user account with email verification and optional subscription plan selection.
Are you an LLM? You can read better optimized documentation at /docs/api/endpoints/authentication/post-register.md for this page in Markdown format
POST
Try it out https://api.rooom.com/registerBody required
multipart/form-data| Name | Type | Description | Values |
|---|---|---|---|
emailrequiredExample: newuser@example.com | string | User email address | |
languageExample: en_US | string | Preferred interface language | de_DEen_US |
planExample: plan_basic_monthly | string | Subscription plan price identifier |
Responses
200Successfully initiated user registration
500Registration error
POST /register Register new user account Create a new user account with email verification and optional subscription plan selection. email User email address language Preferred interface language plan Subscription plan price identifier